DEFINES += AS_PLUGIN

CONFIG(debug, debug|release) {
SOURCES += \
        main.cpp
TARGET = ukui-tablet-desktop
} else {
TEMPLATE = lib
TARGET = ukui-tablet-desktop-plugin
}
QT += widgets quick quickcontrols2
CONFIG += c++11 qt plugin

QMAKE_CXXFLAGS += -g

include($$PWD/kgridview/kgridview.pri)
include($$PWD/src.pri)

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

qml.files = $$files(ui/qml/* )
qml.prefix =
RESOURCES += qml

images.files += $$files(ui/images/*.svg) \
        $$files(ui/images/categories/*.svg) \
        $$files(ui/images/*.png)
images.prefix =
RESOURCES += images

qmldir.files = ui/qml/qmldir
RESOURCES += qmldir

DISTFILES = qmldir \
    translation/ukui-calendar_zh_CN.qm \
    translation/ukui-calendar_zh_CN.ts \
    ui/images/uninstall.svg \
    ui/images/uninstallbtn.png \
    ui/qml/AppIconContainer.qml \
    ui/qml/GroupController.js \
    ui/qml/GroupController.qml \
    ui/qml/GroupTitleEdit.qml
qmldir_plugin.files = qmldir
RESOURCES += qmldir_plugin

# Additional import path used to resolve QML modules in Qt Creator's code model
QML_IMPORT_PATH =

# Additional import path used to resolve QML modules just for Qt Quick Designer
QML_DESIGNER_IMPORT_PATH =

# Default rules for deployment.
desktopFile.files = $$PWD/../data/ukui-tablet-desktop.desktop
desktopFile.path = /etc/xdg/autostart

pluginFile.files = $$PWD/../ukui-tablet-desktop/libukui-tablet-desktop-plugin.so

#dirFile.files = $$PWD/../ukui-tablet-desktop/qmldir
#dirFile.path = $$[QT_INSTALL_QML]/com/kylin/tablet

qml.path = /usr/share/ukui/tablet/contents/ui
qmldir.path = /usr/share/ukui/tablet/contents/ui

target.path = /usr/bin

qm_files.files = translation/ukui-calendar_zh_CN.qm
qm_files.path = /usr/share/ukui/translations/ukui-tablet-desktop

unix {
    uri = org.ukui.tablet
    installPath = $$[QT_INSTALL_QML]/$$replace(uri, \., /)
    qmldir_plugin.path = $$installPath
    target.path = $$installPath
    INSTALLS += target qmldir_plugin qml qmldir desktopFile qm_files
}

LIBS += -lukui-log4qt

TRANSLATIONS += \
    translation/ukui-calendar_zh_CN.ts
