#-------------------------------------------------
#
# Project created by QtCreator 2017-01-05T22:11:54
#
#-------------------------------------------------

QT       += core gui quick dbus

QT += KWindowSystem KWaylandClient KWaylandServer


greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET          = lunarcalendarwidget
TEMPLATE        = app
QMAKE_CXXFLAGS += -std=c++11
#MOC_DIR         = temp/moc
#RCC_DIR         = temp/rcc
#UI_DIR          = temp/ui
#OBJECTS_DIR     = temp/obj
DESTDIR         = /tmp
CONFIG          += qt warn_off
RESOURCES       += main.qrc

CONFIG += \
     link_pkgconfig \

PKGCONFIG += gsettings-qt

SOURCES         += main.cpp \
    calendarcolor.cpp \
    customstylePushbutton.cpp \
    lunarcalendarmonthitem.cpp \
    lunarcalendaryearitem.cpp \
    picturetowhite.cpp \
    pluginsettings.cpp \
    ukuicalsettings.cpp
SOURCES         += lunarcalendaritem.cpp
SOURCES         += lunarcalendarinfo.cpp
SOURCES         += lunarcalendarwidget.cpp

HEADERS         += \
    calendarcolor.h \
    customstylePushbutton.h \
    iukuipanel.h \
    iukuipanelplugin.h \
    lunarcalendarmonthitem.h \
    lunarcalendaryearitem.h \
    picturetowhite.h \
    pluginsettings.h \
    pluginsettings_p.h \
    ukuicalsettings.h \
    ukuiglobals.h \
    ukuipanelglobals.h
HEADERS         += lunarcalendaritem.h
HEADERS         += lunarcalendarinfo.h
HEADERS         += lunarcalendarwidget.h

#FORMS           += \
#    frmlunarcalendarwidget.ui

INCLUDEPATH     += $$PWD

PKGCONFIG +=  kysdk-waylandhelper kysdk-qtwidgets

target.path = /usr/bin

binary.files = $$PWD/../lunarcalendarwidget/lunarcalendarwidget
binary.path = /usr/bin
INSTALLS += target binary

