QT += quick gui KWindowSystem widgets core
QT += KWindowSystem KWaylandClient KWaylandServer

include($$PWD/../common/common.pri)
include($$PWD/../tablet-desktop-backend/baseHead.pri)

equals(QT_MAJOR_VERSION, 5) | equals(QT_MINOR_VERSION, 15) {
    CONFIG += qmltypes
    QML_IMPORT_NAME = org.ukui.tablet
    QML_IMPORT_MAJOR_VERSION = 1
    INCLUDEPATH += $$PWD/base $$PWD/core $$PWD/utils
}

INCLUDEPATH += \
        $$PWD

SOURCES += \
        $$PWD/base/launcheritem.cpp \
        $$PWD/base/basemodel.cpp \
        $$PWD/base/categoryitem.cpp \
        $$PWD/base/sidebarstate.cpp \
        $$PWD/base/trayicon.cpp \
        $$PWD/base/platformwindow.cpp \
        $$PWD/core/appmanager.cpp \
        $$PWD/core/desktopdatahandler.cpp \
        $$PWD/core/modelmanager.cpp \
        $$PWD/core/taskbarmanager.cpp \
#        $$PWD/core/taskbarwindow.cpp \
        $$PWD/core/pluginitem.cpp \
        $$PWD/core/qwidgetpluginmanager.cpp \
        $$PWD/core/globalgesturewatcher.cpp \
        $$PWD/core/desktopwindow.cpp \
        $$PWD/utils/desktopbackground.cpp \
        $$PWD/utils/getscreenshot.cpp \
        $$PWD/utils/generalsetting.cpp \
        $$PWD/utils/accountlogout.cpp \
        $$PWD/utils/showclendar.cpp \
        $$PWD/utils/taskbarmask.cpp \
        $$PWD/utils/wiredlinkstate.cpp \
        $$PWD/utils/wirelessstatus.cpp \
        $$PWD/utils/blurhelper.cpp \
        $$PWD/dbusinterfaces/appmanagerinterface.cpp \
        $$PWD/core/kylintabletdekstopplugin.cpp

HEADERS += \
        $$PWD/base/basemodel.h \
        $$PWD/base/basemodel_p.h \
        $$PWD/base/categoryitem.h \
        $$PWD/base/sidebarstate.h \
        $$PWD/base/trayicon.h \
        $$PWD/base/platformwindow.h \
        $$PWD/core/desktopdatahandler.h \
        $$PWD/core/appmanager.h \
        $$PWD/core/modelmanager.h \
        $$PWD/core/modelmanager_p.h \
        $$PWD/core/taskbarmanager.h \
#        $$PWD/core/taskbarwindow.h \
        $$PWD/core/globalgesturewatcher.h \
        $$PWD/core/pluginitem.h \
        $$PWD/core/qwidgetpluginmanager.h \
        $$PWD/core/desktopwindow.h \
        $$PWD/base/launcheritem.h \
        $$PWD/utils/desktopbackground.h \
        $$PWD/utils/getscreenshot.h \
        $$PWD/utils/generalsetting.h \
        $$PWD/utils/accountlogout.h \
        $$PWD/utils/showclendar.h \
        $$PWD/utils/taskbarmask.h \
        $$PWD/utils/wiredlinkstate.h \
        $$PWD/utils/wirelessstatus.h \
        $$PWD/utils/blurhelper.h \
        $$PWD/dbusinterfaces/appmanagerinterface.h \
        $$PWD/core/kylintabletdekstopplugin.h

CONFIG += link_pkgconfig
PKGCONFIG += gsettings-qt kysdk-waylandhelper
